List Vector Databases
curl --request GET \
--url https://flow.seekr.com/v1/flow/vectordb \
--header 'Authorization: <api-key>'import requests
url = "https://flow.seekr.com/v1/flow/vectordb"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://flow.seekr.com/v1/flow/vectordb', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "<string>",
"data": [
{
"id": "<string>",
"name": "<string>",
"model": "<string>",
"dimension": 123,
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"file_count": 123,
"size_in_bytes": 123
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Vector database
List vector databases
Retrieve a list of all vector databases in your organization.
GET
/
v1
/
flow
/
vectordb
List Vector Databases
Retrieve a paginated list of ingestion jobs for a specific vector database. Each job includes its current status and
file_records with per-file tracking.
For details on interpreting job states and file records, see Monitor ingestion.Authorizations
Your Seekr API key, sent in the Authorization header with no 'Bearer' prefix.
Query Parameters
Available options:
RAG, explainability Last modified on July 31, 2026
⌘I